[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RPM conflict upgrading from F7 -> F8 via yum



Robin Bowes wrote:
Hi,

I'm playing with some new hardware - x86_64.

I wanted to install Fedora 8 Test 1 on it but the installer barfs during
the installation process. So, I've installed Fedora 7 and am upgrading
to the rawhide code.

I've done this by:

1. Enabling the development repo in fedora-development.repo
2. Upgrading fedora-release (now have 7.91-1 installed)
3. Running "yum upgrade"


This downloads about 1GB of packages, but the transaction test fails with:

Transaction Check Error:
  file /etc/dbus-1/session.conf from install of dbus-1.1.2-4.fc8
conflicts with file from package dbus-1.0.2-4.fc7
  file /etc/dbus-1/system.conf from install of dbus-1.1.2-4.fc8
conflicts with file from package dbus-1.0.2-4.fc7
  file /etc/rc.d/init.d/messagebus from install of dbus-1.1.2-4.fc8
conflicts with file from package dbus-1.0.2-4.fc7
  file /usr/share/man/man1/dbus-daemon.1.gz from install of
dbus-1.1.2-4.fc8 conflicts with file from package dbus-1.0.2-4.fc7
  file /lib/libdbus-1.so.3 from install of dbus-libs-1.1.2-4.fc8
conflicts with file from package dbus-1.0.2-4.fc7

Any ideas how I can overcome this?

R.


I usually go to single mode, start the firewall and network, update glibc and allow it to pull in the dependent packages, try to run yum upgrade again, upgrade conflicting packages, then the rest of the upgrade seems to take car of itself. But, due to the nature of development, you might need to hold off with updating some packages that all packages do not meet dependencies.

--
George Washington was first in war, first in peace -- and the first to
have his birthday juggled to make a long weekend.
		-- Ashley Cooper


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]